## org.eclipse.amp.amf.abase.services
Class ABaseGrammarAccess.RealValueElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.abase.services.ABaseGrammarAccess.RealValueElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  ABaseGrammarAccess

    public class ABaseGrammarAccess.RealValueElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ABaseGrammarAccess.RealValueElements()`

Method Summary
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.Assignment` `getValueAssignment()`
`org.eclipse.xtext.RuleCall` `getValueREALTerminalRuleCall_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseGrammarAccess.RealValueElements

    public ABaseGrammarAccess.RealValueElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getValueAssignment

    public org.eclipse.xtext.Assignment getValueAssignment()

### getValueREALTerminalRuleCall_0

    public org.eclipse.xtext.RuleCall getValueREALTerminalRuleCall_0()